Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 191626 - Allow adding multiple Spring configuration files at a time.
Allow adding multiple Spring configuration files at a time.
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Spring
6.x
All All
: P3 (vote)
: 7.2
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 09:19 UTC by rptmaestro
Modified: 2012-03-22 11:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rptmaestro 2010-11-04 09:19:41 UTC
In "Project Properties" --> "Spring Framework" --> "Configuration Files", the "Add File..." action only allows one Spring configuration file to be added at a time. This is inconvenient for a web project that searches and loads multiple Spring configuration files from many libraries.

My company uses a fairly robust template for building web applications. This template consists of various jars that define, among other things, several Spring configuration files. Because the current Spring support does not detect Spring configuration in jars, I have to unpack my jars in a location on my hard drive and add them manually to my project's Spring configuration in order to get JSF/Facelets code completion for beans defined in those files. It would be great to have the NetBeans Spring support detect files in project jars, or (in the interim) to at least be able to add more than one configuration file at a time and to have the file chooser remember the last place I loaded files from in my current JVM session.
Comment 1 Martin Fousek 2012-03-21 13:01:15 UTC
Thanks for raising this enhancement. It should be fixed into NetBeans 7.2:
- you will be able to select more configuration files at once
- last entered directory is remembered

About selecting configs from JARs, it's tracked as issues #190927, #176441, but it will not be probably enough of time to do that this release, sorry.

Fixed in web-main #21b4264aa319.
Comment 2 Quality Engineering 2012-03-22 11:14:37 UTC
Integrated into 'main-golden', will be available in build *201203220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/21b4264aa319
User: Martin Fousek <marfous@netbeans.org>
Log: #191626 - Allow adding multiple Spring configuration files at a time.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo